#!/bin/sh

echo -e "\e[35m=== 0.0 make-tmpdir.sh" 

# First, set up the environment to a known state.

export LC_ALL=POSIX
unset CFLAGS CC CXX CPP LD_LIBRARY_PATH LD_PRELOAD
DIR=`pwd`

########## Phase 0: Build User Mode Linux so we don't need to run as root

# The build requires scratch space to extract the kernel source tarball into,
# and to create a loopback mountable filesystem image to act as writeable space
# for the UML instance.  We create "tmpdir", which needs about 700 megabytes.
# If you want the build to happen somewhere else, make tmpdir a symlink.

sources/scripts/0.0-download-sources.sh &&
sources/scripts/0.1-make-tmpdir.sh &&
if [ `id -u` -ne 0 ]
then
  sources/scripts/0.2-make-uml.sh
fi

exit $?
