#!/bin/sh

if [ ! -f tmpdir/workspace.img ] || [ ! -f tmpdir/swap.img ]
then
  echo "=== Create swap and writeable ext2 workspace."
  sources/scripts/make-workspace.sh
fi

if [ $? -ne 0 ]; then exit 1; fi


if [ ! -f tmpdir/linux ]
then
  echo "=== Build User Mode Linux."
  cd tmpdir &&
  mkdir uml-build &&
  cd linux-* &&
  make KCONFIG_ALLCONFIG=../../sources/system/linux-config-uml ARCH=um \
	O=../uml-build miniconfig &&
  cd ../uml-build &&
  make ARCH=um &&
  mv linux .. &&
  cd .. &&
  rm -rf uml-build &&
  cd ..
fi

if [ $? -ne 0 ]; then exit 1; fi
