#!/bin/sh

[ -d /dev/shm ] && export TMPDIR=/dev/shm

function runuml()
{
  if [ `id -u` -eq 0 ]
  then
    # If we're root, run directly.

    echo -n "=== root running "
    cd "$DIR"
    $1
  else
    # Announce which script we're running.
    echo -n "=== UML running "
    ( ( [ -z "$1" ] && echo "$UMLSETUP" ) || echo "$1" )  | sed 's .*/  '

    # If we're not root, run via UML.
    tmpdir/linux rootfstype=hostfs rw quiet mem=64M \
    ubd0=tmpdir/swap.img DIR="$DIR" RUN="$1" \
    init="$DIR"/tmpdir/oneit PATH="$PATH" "$DIR/$UMLSETUP"
  fi
}
